Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class AreaLight

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp3d.objects.AreaLight

All Implemented Interfaces:
  Manageable, Shareable

    public class AreaLight

extends ShareableBase

Nested Class Summary
`static class` | `AreaLight.Type`

Field Summary
`static AreaLight.Type` | `$TYPE`
`static SCOType.Field` | `exponent$FIELD`
`static SCOType.Field` | `ignoredWhenHit$FIELD`
`static SCOType.Field` | `power$FIELD`
`static SCOType.Field` | `shadowless$FIELD`

Constructor Summary
`AreaLight()`

Method Summary
`float` | `getExponent()`
`ManageableType` | `getManageableType()`
`float` | `getPower()`
`boolean` | `isIgnoredWhenHit()`
`boolean` | `isShadowless()`
`void` | `setExponent(float value)`
`void` | `setIgnoredWhenHit(boolean value)`
`void` | `setPower(float value)`
`void` | `setShadowless(boolean value)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final AreaLight.Type $TYPE

### exponent$FIELD

    public static final SCOType.Field exponent$FIELD

### ignoredWhenHit$FIELD

    public static final SCOType.Field ignoredWhenHit$FIELD

### power$FIELD

    public static final SCOType.Field power$FIELD

### shadowless$FIELD

    public static final SCOType.Field shadowless$FIELD

Constructor Detail

### AreaLight

    public AreaLight()

Method Detail

### getExponent

    public float getExponent()

### getManageableType

    public ManageableType getManageableType()

### getPower

    public float getPower()

### isIgnoredWhenHit

    public boolean isIgnoredWhenHit()

### isShadowless

    public boolean isShadowless()

### setExponent

    public void setExponent(float value)

### setIgnoredWhenHit

    public void setIgnoredWhenHit(boolean value)

### setPower

    public void setPower(float value)

### setShadowless

    public void setShadowless(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD